Bug 134268 - Cannot type Ccedilla in Openoffice.org while using brazilian abnt2 keyboard
Cannot type Ccedilla in Openoffice.org while using brazilian abnt2 keyboard
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-30 14:39 EDT by João Paulo Braga e Souza
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 09:59:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch file to fix the ccedillha bug in OpenOffice.org (1.12 KB, patch)
2004-09-30 14:55 EDT, João Paulo Braga e Souza
no flags Details | Diff
New patch regarding all Brazilian ABNT2 keyboard issues on Openoffice.org (4.45 KB, patch)
2004-09-30 17:24 EDT, João Paulo Braga e Souza
no flags Details | Diff

  None (edit)
Description João Paulo Braga e Souza 2004-09-30 14:39:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
The � and � characters cannot be typed in Openoffice.org while using
"abnt2" model keyboard and "br" layout. Instead showing the character
pressed, UTF-8 codes are show (ç).

The /usr/X11R6/lib/X11/locale/en_US.UTF8/Compose file should be
patched to fix this problem:

[joaosouza@mec-35-005 en_US.UTF-8]$ pwd
/usr/X11R6/lib/X11/locale/en_US.UTF-8
[joaosouza@mec-35-005 en_US.UTF-8]$ diff Compose Compose.ori
477d476
< <Ccedilla>            : "�" U00C7 # LATIN CAPITAL LETTER C WITH CEDILLA
555d553
< <ccedilla>            : "�" U00E7 # LATIN SMALL LETTER C WITH CEDILLA
[joaosouza@mec-35-005 en_US.UTF-8]$


Version-Release number of selected component (if applicable):
xorg-x11-libs-data-6.7.0-9

How reproducible:
Always

Steps to Reproduce:
1. Use an ABNT2 Brazilian keyboard
2. Open new document in OpenOffice.org
3. Type "�" key
    

Actual Results:  The UTF-8 code "ç" was shown instead of the expected
character "�"

Expected Results:  The "�" character had to be shown.

Additional info:

The /usr/X11R6/lib/X11/locale/en_US.UTF8/Compose file should be
patched to fix this problem. Diff results:

477d476
< <Ccedilla>            : "�" U00C7 # LATIN CAPITAL LETTER C WITH CEDILLA
555d553
< <ccedilla>            : "�" U00E7 # LATIN SMALL LETTER C WITH CEDILLA
Comment 1 João Paulo Braga e Souza 2004-09-30 14:51:20 EDT
Unfortunatelly my browser inverted the characters, ill try to explain.

Wrong character shown is and UTF-8 code: <tilde> + <A> + <section char>

The right character do be shown is: <cedilla> + <c>

The diff i sent was made from the edited Compose file and the backup
Compose.ori file.
Comment 2 João Paulo Braga e Souza 2004-09-30 14:55:35 EDT
Created attachment 104598 [details]
Patch file to fix the ccedillha bug in OpenOffice.org
Comment 3 João Paulo Braga e Souza 2004-09-30 17:24:06 EDT
Created attachment 104602 [details]
New patch regarding all Brazilian ABNT2 keyboard issues on Openoffice.org

This new patch fixes not only Ccedilla, but all other key issues on Brazilian
ABNT2 keyboard on Openoffice.org.
Comment 4 Søren Sandmann Pedersen 2004-10-08 11:54:07 EDT
Thanks for the patch. Could you file it in X.Org bugzilla at
http://bugs.freedesktop.org (component "xorg") and paste the URL here,
please? Thanks.
Comment 5 Mike A. Harris 2005-04-11 09:59:33 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.